# Interface StatementCacheMBean

All Known Implementing Classes:
  `StatementCache`

public interface StatementCacheMBean

## Method Summary

Modifier and Type
Method
Description
`AtomicInteger`
`getCacheSize()`
`int`
`getCacheSizePerConnection()`
`int`
`getMaxCacheSize()`
`boolean`
`isCacheCallable()`
`boolean`
`isCachePrepared()`

## Method Details

### isCachePrepared

boolean isCachePrepared()

### isCacheCallable

boolean isCacheCallable()

### getMaxCacheSize

int getMaxCacheSize()

### getCacheSize

AtomicInteger getCacheSize()

### getCacheSizePerConnection

int getCacheSizePerConnection()